.TH CosNotification_QoSAdmin 3 "cosNotification  1.1.11" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosNotification_QoSAdmin \- This module implements the OMG CosNotification::QoSAdmin interface\&.
.SH DESCRIPTION
.LP
To get access to the record definitions for the structures use: 
.br
\fI-include_lib("cosNotification/include/*\&.hrl")\&.\fR
.LP
All objects, which inherit this interface, export functions described in this module\&.

.SH EXPORTS
.LP
.B
get_qos(Object) -> Reply
.br
.RS
.TP
Types
Object = #objref
.br
Reply = [QoSProperty]
.br
QoSProperty = #\&'CosNotification_Property\&'{name, value}
.br
name = string()
.br
value = #any
.br
.RE
.RS
.LP
This operation returns a list of name-value pairs which encapsulates the current QoS settings for the target object\&.
.RE
.LP
.B
set_qos(Object, QoS) -> Reply
.br
.RS
.TP
Types
Object = #objref
.br
QoS = [QoSProperty]
.br
QoSProperty = #\&'CosNotification_Property\&'{name, value}
.br
name = string()
.br
value = #any
.br
Reply = ok | {\&'EXCEPTION\&', #\&'CosNotification_UnsupportedQoS\&'{qos_err}}
.br
qos_err = PropertyErrorSeq
.br
PropertyErrorSeq = [PropertyError]
.br
PropertyError = #\&'CosNotification_PropertyError\&'{code, name, available_range}
.br
code = \&'UNSUPPORTED_PROPERTY\&' | \&'UNAVAILABLE_PROPERTY\&' | \&'UNSUPPORTED_VALUE\&' | \&'UNAVAILABLE_VALUE\&' | \&'BAD_PROPERTY\&' | \&'BAD_TYPE\&' | \&'BAD_VALUE\&'
.br
name = string()
.br
available_range = PropertyRange
.br
PropertyRange = #CosNotification_PropertyRange{low_val, high_val}
.br
low_val = high_val = #any
.br
.RE
.RS
.LP
To alter the current QoS settings for the target object this function must be used\&. If it is not possible to set the requested QoS the \fIUnsupportedQoS\fR exception is raised, which includes a sequence of \fIPropertyError\fR\&'s describing which QoS, possible range and why is not allowed\&.
.RE
.LP
.B
validate_qos(Object, QoS) -> Reply
.br
.RS
.TP
Types
Object = #objref
.br
QoS = [QoSProperty]
.br
QoSProperty = #\&'Property\&'{name, value}
.br
name = string()
.br
value = #any
.br
Reply = {ok, NamedPropertyRangeSeq} | {\&'EXCEPTION\&', CosNotification_UnsupportedQoS{}}
.br
NamedPropertyRangeSeq = [NamedPropertyRange]
.br
NamedPropertyRange = #CosNotification_NamedPropertyRange{name, range}
.br
name = string()
.br
range = #CosNotification_PropertyRange{low_val, high_val}
.br
low_val = #any
.br
high_val = #any
.br
.RE
.RS
.LP
The purpose of this operations is to check if a QoS setting is supported by the target object and if so, the operation returns additional properties which could be optionally added as well\&.
.RE
